[Cache]

## The GUID of the last downloaded UnityPlayer pdb file.
## If this GUID matches with the current one,
## the offsets for the functions below will be used
## instead of generating them at runtime.
# Setting type: String
# Default value: 000000000000000000000000000000000
LastDownloadedGUID = 94DD10DB79284B62A2074D9E4CB522C81

## The in-memory offset of the MonoManager::AwakeFromLoad function.
# Setting type: String
# Default value: 00
MonoManagerAwakeFromLoadOffset = 625DC0

## The in-memory offset of the MonoManager::IsAssemblyCreated function.
# Setting type: String
# Default value: 00
MonoManagerIsAssemblyCreatedOffset = 6296F0

## The in-memory offset of the IsFileCreated function.
# Setting type: String
# Default value: 00
IsFileCreatedOffset = 00

## The in-memory offset of the ScriptingManagerDeconstructor function.
# Setting type: String
# Default value: 00
ScriptingManagerDeconstructorOffset = 6373D0

## The in-memory offset of the ConvertSeparatorsToPlatform function.
# Setting type: String
# Default value: 00
ConvertSeparatorsToPlatformOffset = 555CC0

## The in-memory offset of the free_alloc_internal function.
# Setting type: String
# Default value: 00
FreeAllocInternalOffset = 279340

## The in-memory offset of the malloc_internal function.
# Setting type: String
# Default value: 00
MallocInternalOffset = 279390

## The in-memory offset of the m_ScriptingAssemblies global field.
# Setting type: String
# Default value: 00
ScriptingAssembliesOffset = 1A9EBC0

ReadStringFromFileOffset = 81F130

[Overrides]

## Unity version is Major.Minor.Patch format i.e. 2017.2.1.
## If specified, this version will be used instead of auto-detection
## from executable info. Specify only if the patcher doesn't work otherwise.
# Setting type: String
# Default value: 
UnityVersionOverride = 

## PreferSupportedVersions - using values for supported versions, if a version is not supported trying to use pdb.
## PreferPdb - using pdb, it will be downloaded from  Unity symbols server,if there is no pdb or download failed trying to use values for supported versions.
## Manual - using offsets from [Cache] section of the config, which you need to specify yourself as hex values.
# Setting type: FunctionOffsetLookup
# Default value: PreferSupportedVersions
# Acceptable values: PreferSupportedVersions, PreferPdb, Manual
FunctionOffsetLookupType = PreferSupportedVersions

